package core

import (
	clientCore "gitlink.org.cn/JointCloud/pcm-coordinator/client"
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"
	"gitlink.org.cn/JointCloud/pcm-coordinator/internal/logic/core"
	"gitlink.org.cn/JointCloud/pcm-coordinator/internal/svc"
)

func PushNoticeHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req clientCore.PushNoticeReq
		if err := httpx.Parse(r, &req); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := core.NewPushNoticeLogic(r.Context(), svcCtx)
		resp, err := l.PushNotice(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
